Retrieves all email addresses for the specified user
curl --request GET \
--url https://api.rootly.com/v1/users/{user_id}/email_addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "32945b57-2c1a-420c-8d56-5807815a72f7",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": true,
"verified_at": "2026-01-23T23:01:08.080-08:00",
"created_at": "2026-01-23T23:01:08.090-08:00",
"updated_at": "2026-01-23T23:01:08.090-08:00"
}
},
{
"id": "d99186c6-d687-434c-b70c-8eadedaed821",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": false,
"verified_at": null,
"created_at": "2026-01-23T23:01:10.610-08:00",
"updated_at": "2026-01-23T23:01:10.610-08:00"
}
},
{
"id": "f517efc9-0513-432a-ac39-dc4a498ced4b",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": false,
"verified_at": null,
"created_at": "2026-01-23T23:01:10.624-08:00",
"updated_at": "2026-01-23T23:01:10.624-08:00"
}
}
],
"links": {
"self": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50",
"first": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50",
"prev": null,
"next": null,
"last": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50"
},
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_count": 3,
"total_pages": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/users/{user_id}/email_addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "32945b57-2c1a-420c-8d56-5807815a72f7",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": true,
"verified_at": "2026-01-23T23:01:08.080-08:00",
"created_at": "2026-01-23T23:01:08.090-08:00",
"updated_at": "2026-01-23T23:01:08.090-08:00"
}
},
{
"id": "d99186c6-d687-434c-b70c-8eadedaed821",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": false,
"verified_at": null,
"created_at": "2026-01-23T23:01:10.610-08:00",
"updated_at": "2026-01-23T23:01:10.610-08:00"
}
},
{
"id": "f517efc9-0513-432a-ac39-dc4a498ced4b",
"type": "user_email_addresses",
"attributes": {
"user_id": 956,
"email": "[email protected]",
"primary": false,
"verified_at": null,
"created_at": "2026-01-23T23:01:10.624-08:00",
"updated_at": "2026-01-23T23:01:10.624-08:00"
}
}
],
"links": {
"self": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50",
"first": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50",
"prev": null,
"next": null,
"last": "http://www.example.com/v1/users/956/email_addresses?page%5Bnumber%5D=1&page%5Bsize%5D=50"
},
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_count": 3,
"total_pages": 1
}
}